﻿@model Forum.WEB.ViewModel.StartViewModel
@{
    ViewData["Title"] = "Home Page";
}

<h2>Список Категорий</h2>
<table class="table">
    <tr>
        <td>Имя и перечень тем в категории</td>
        <td>Количество обсуждений</td>
        @if (User.IsInRole("Root"))
        {
            <td>Редактирование/удаление категории</td>
        }
    </tr>
    @foreach (var category in Model.AllCategory)
    {
        <tr>
            <div>
                <td>
                    <form asp-action="Index" asp-controller="Category" method="get">
                            <input type="hidden" name="categoryId" value="@category.Id" />
                            <input type="submit" value="@category.CategotyName" class="btn button" />
                    </form>
                    @foreach(var item in category.Topics)
                    {
                        <ul>
                            <li>
                                <form  asp-action="Index" asp-controller="Topic" method="get">
                                    <input type="hidden" name="topicId" value="@item.Id" />
                                    <input type="submit" value="@item.Topic" class="btn button" />
                                </form>
                            </li>
                        </ul>
                    }
                </td>
                <td>
                    @category.CountAllDiscussion
                </td>

                @if (User.IsInRole("Root"))
                {
                    <td>
                        <form asp-action="EditCategory" asp-controller="Category" method="get" >
                            <input type="hidden" name="categoryId" value="@category.Id" />
                            <button type="submit" class="btn btn-sm btn-success">
                                Редактировать
                            </button>
                        </form>


                        <form asp-action="DeleteCategory" asp-controller="Category" method="post" >
                            <input type="hidden" name="categoryId" value="@category.Id" />
                            <button type="submit" class="btn btn-sm btn-danger">
                                Удалить
                            </button>
                        </form>
                    </td>
                } 
            </div>
        </tr>
    }
</table>

<footer>
@if (User.Identity.IsAuthenticated && User.IsInRole("Root"))
{
    <a asp-controller="Category" asp-action="CreatCategory">Добавить категорию</a>
}
</footer>
